'\" t
.\"     Title: RYGEL
.\"    Author: Jens Georg <mail@jensge.org>
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 11/23/2019
.\"    Manual: Rygel User Manual
.\"    Source: rygel
.\"  Language: English
.\"
.TH "RYGEL" "1" "11/23/2019" "rygel" "Rygel User Manual"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
rygel \- a collection of DLNA/UPnP AV services
.SH "SYNOPSIS"
.HP \w'\fBrygel\fR\ 'u
\fBrygel\fR [\fBoptions\fR]
.SH "DESCRIPTION"
.PP
\fBrygel\fR
is a home media solution that allows you to easily share audio, video and pictures, and control of media player on your home network\&. In technical terms it is both a UPnP AV MediaServer and MediaRenderer implemented through a plug\-in mechanism\&. Interoperability with other devices in the market is achieved by conformance to very strict requirements of DLNA and on the fly conversion of media to format that client devices are capable of handling\&.
.SH "OPTIONS"
.PP
The program follows the usual GNU command line syntax, with long options starting with two dashes (`\-\*(Aq)\&. A summary of options is included below\&.
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Show summary of options\&.
.RE
.PP
\fB\-\-version\fR
.RS 4
Show version of program\&.
.RE
.PP
\fB\-n\fR, \fB\-\-network\-interface=\fR\fB\fIINTERFACE\fR\fR
.RS 4
Set the network interfaces rygel listens on\&. Can be used multiple times for to configure multiple interfaces\&.
\fBINTERFACE\fR
can be an IP, a device name or an ESSID (Linux only)\&.
.RE
.PP
\fB\-p\fR, \fB\-\-port=\fR\fB\fIPORT\fR\fR
.RS 4
Set the listen\-port\&.
.RE
.PP
\fB\-t\fR, \fB\-\-disable\-transcoding\fR
.RS 4
Disable any transcoding\&.
.RE
.PP
\fB\-U\fR, \fB\-\-disallow\-upload\fR
.RS 4
Disable uploading of media files via UPnP\&.
.RE
.PP
\fB\-D\fR, \fB\-\-disallow\-deletion\fR
.RS 4
UPnP clients are not allowed to delete media files on the server\&.
.RE
.PP
\fB\-g\fR, \fB\-\-log\-level=\fR\fB\fILEVEL\fR\fR
.RS 4
Comma\-separated list of
\fIDOMAIN\fR:\fILEVEL\fR
pairs, allowing to set the log level individually for each domain, where
\fIDOMAIN\fR
is eiher
\fB"*"\fR, "\fBrygel\fR" or the name of a plugin\&. Allowed log levels are 1=critical, 2=error, 3=warning, 4=message/info, 5=debug\&.
.RE
.PP
\fB\-u\fR, \fB\-\-plugin\-path=\fR\fB\fIPATH\fR\fR
.RS 4
Set the plugin search path\&.
.RE
.PP
\fB\-e\fR, \fB\-\-engine\-path=\fR\fB\fIENGINE_PATH\fR\fR
.RS 4
Set the media streaming and transcoding engine search path\&.
.RE
.PP
\fB\-d\fR, \fB\-\-disable\-plugin=\fR\fB\fIPLUGIN_NAME\fR\fR
.RS 4
Disable the plugin
\fIPLUGIN_NAME\fR\&.
.RE
.PP
\fB\-i\fR, \fB\-\-title=\fR\fB\fIPLUGIN_NAME\fR\fR\fB:\fR\fB\fITITLE\fR\fR
.RS 4
Set the title of plugin
\fIPLUGIN_NAME\fR
to
\fITITLE\fR
You can use this option more than once for every plugin you want to set the name of\&.
.RE
.PP
\fB\-o\fR, \fB\-\-plugin\-option=\fR\fB\fIPLUGIN_NAME\fR\fR\fB:\fR \fB\fIOPTION\fR\fR\fB:\fR\fB\fIVALUE1[,VALUE2,\&...]\fR\fR
.RS 4
Set options for a plugin\&.
.RE
.PP
\fB\-P\fR, \fB\-\-disable\-upnp\fR
.RS 4
Disable advertisement via UPnP and set
rygel
into streaming\-only mode\&.
.RE
.PP
\fB\-c\fR, \fB\-\-config=\fR\fB\fICONFIG_FILE\fR\fR
.RS 4
Use
\fICONFIG_FILE\fR
instead of
${XDG_CONFIG_DIR}/rygel\&.conf\&.
.RE
.PP
\fB\-s\fR, \fB\-\-shutdown\fR
.RS 4
Shutdown a currently running instance of rygel
.RE
.PP
\fB\-r\fR, \fB\-\-replace\fR
.RS 4
Replace the currently running instance of rygel with this instance\&. Short for
\fBrygel \-s && rygel\fR
.RE
.SH "FILES"
.PP
/etc/rygel\&.conf
.RS 4
The system\-wide configuration file to control the behaviour of
rygel\&. See
\fBrygel.conf\fR(5)
for further details\&.
.RE
.PP
${XDG_CONFIG_DIR}/rygel\&.conf
.RS 4
The per\-user configuration file to control the behaviour of
rygel\&. See
\fBrygel.conf\fR(5)
for further details\&.
.RE
.PP
${XDG_CONFIG_DIR}/Rygel/*\&.xml
.RS 4
Cached UPnP device description files\&.
.RE
.SH "ENVIRONMENT"
.PP
\fBRYGEL_DISABLE_UPNP\fR
.RS 4
Disable advertisement via UPnP and set
rygel
into streaming\-only mode\&.
.RE
.PP
\fBRYGEL_IFACE\fR
.RS 4
Set the network interfaces to bind to\&.
.RE
.PP
\fBRYGEL_PORT\fR
.RS 4
Define the network port to bind to\&.
.RE
.PP
\fBRYGEL_DISABLE_TRANSCODING\fR
.RS 4
Disable transcoding globally\&.
.RE
.PP
\fBRYGEL_LOG\fR
.RS 4
Set the log level of
rygel\&.
.RE
.PP
\fBRYGEL_PLUGIN_PATH\fR
.RS 4
Set the plugin search path of
rygel\&.
.RE
.PP
\fBRYGEL_ENGINE_PATH\fR
.RS 4
Set the media streaming and transcoding engine search path for
rygel\&.
.RE
.PP
\fBRYGEL_MEDIA_ENGINE\fR
.RS 4
Set a specific media streaming engine to pick up from the media engine search path\&.
.RE
.PP
\fBRYGEL_DISABLE_UPLOAD\fR
.RS 4
Disable media file upload via UPnP\&.
.RE
.PP
\fBRYGEL_DISABLE_DELETION\fR
.RS 4
Disable remote file deletion via UPnP\&.
.RE
.PP
\fBRYGEL_PLUGIN_TIMEOUT\fR
.RS 4
Set the time\-out for finding the plugins\&. Useful to increase when running inside valgrind\&.
.RE
.PP
\fBRYGEL_DATABASE_DEBUG\fR
.RS 4
If set to 1, the database library will print the used SQL statements\&.
.RE
.PP
Also for every plugin you can set the following environment variables:
.PP
.PP
\fBRYGEL_PLUGIN_NAME_TITLE\fR
.RS 4
Set the title of the plugin\&.
.RE
.PP
\fBRYGEL_PLUGIN_NAME_ENABLED\fR
.RS 4
Enable or disable the plugin\&.
.RE
.SH "BUGS"
.PP
The
BTS
can be found at
\m[blue]\fB\%https://gitlab.gnome.org/GNOME/rygel/issues\fR\m[]\&.
.SH "SEE ALSO"
.PP
\fBrygel.conf\fR(5)
.SH "AUTHOR"
.PP
\fBJens Georg\fR <\&mail@jensge\&.org\&>
.RS 4
Wrote this manpage\&.
.RE
